/* CSS AlchemistJeff.ca */

@font-face {
    font-family: local_Liberation_Sans;
    src: url(/fonts/LiberationSans-Regular.ttf);
}
@font-face {
    font-family: local_Liberation_Sans_Italic;
    src: url(/fonts/LiberationSans-Italic.ttf);
}
@font-face {
    font-family: local_Liberation_Sans_Bold;
    src: url(/fonts/LiberationSans-Bold.ttf);
}
@font-face {
    font-family: local_Liberation_Sans_BoldItalic;
    src: url(/fonts/LiberationSans-BoldItalic.ttf);
}
@font-face {
    font-family: local_HopeCartoon;
    src: url(/fonts/HopeCartoon.otf);
}
.body {
    overflow-y: scroll; /* Fix horizontal jumps by forcing scrollbar to always show */
    margin: 0;
    padding: 0;
    background: #e1e1dd;
    font-family: local_Liberation_Sans, Sans-serif;
    color: #205;
    text-align: justify;
}
.body p, h1, h2, h3{
    margin: 0 0 1rem 0;
    padding: 0;
    font-size: 1rem;
    line-height: 1.6rem;
}
.body h1 {
    margin: 0 0 1rem 0;
    font-weight: bold;
    text-transform: uppercase;
}
.body h2 {
    margin: 0;
    font-size: 1.2rem;
    font-variant: small-caps;
}
.body h3 {
    margin: 0;
    font-variant: small-caps;
    text-decoration: underline;
}

.p_block {
    margin: auto;
    width: 45rem;
    text-indent: 2rem;
}

.content {
    margin: 0 auto;
    padding: 2rem;
    padding-top: 0;
    width: 55rem;
    min-height: 100vh;
    height: 100%;
    background: linear-gradient(90deg, #e1e1dd 0%, #eee 2%, #eee 98%, #e1e1dd 100%);
}
.content a:hover {
    color: #d05;
}

.header {
    position: relative;
    padding-top: 1rem;
    height: 5rem;
    font-size: 1.2rem;
}
.header a {
    color: #205;
    text-decoration: none;
}
.header_ribbon {
    margin-top: 0.8rem;
    height: 0.8rem;
    background-image: url(/img/ribbon.gif);
    background-repeat: repeat-x;
    background-size: contain;
}
.header_nav {
    position: absolute;
    padding: auto;
    top: 0;
    right: 0;
    line-height: 3rem;
}
.header_nav_button {
    display: inline-block;
    width: 5rem;
    height: 2.5rem;
    text-align: center;
    line-height: 2.5rem;
}
.header_nav_button:hover {
    color: #d05;
    text-decoration: underline;
}
.header_nav_button_active {
    display: inline-block;
    width: 5rem;
    height: 2.5rem;
    text-align: center;
    line-height: 2.5rem;
    font-weight: bold;
}
.header_nav_button_active:hover {
    color: #d05;
    text-decoration: underline;
}

.page {
}

.footer {
    margin: 5rem auto 0 auto;
    text-align: center;
    font-size: 0.8rem;
}
